Bug 621031 - liferea crashes on certain pages
liferea crashes on certain pages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 23:34 EDT by Eric Mesa
Modified: 2011-06-28 10:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Mesa 2010-08-03 23:34:12 EDT
Description of problem:
When I try to view certain pages in liferea it crashes

Version-Release number of selected component (if applicable):
1.6.4-1

How reproducible:
Go to one of www.bluemilkspecial.com 's pages in RSS feed:  http://www.bluemilkspecial.com/?feed=rss2 and it crashes.  

"Process /usr/bin/liferea was killed by signal 6 (SIGABRT)"

Steps to Reproduce:
1.Go to a page and click on it
2.crash
3.
  
Actual results:
crash

Expected results:
not crash

Additional info:
Here's something really trippy - if I run it on the commandline, it doesn't crash.  If I launch it from a shortcut or from the "Applications menu" it crashes.  WTF?   That doesn't make any sense.  

OK, first I'll show what abrt generates.  Then, below that I'll show what happens when i try to launch this site from the commandline.


here's what abrt gave:  (it wouldn't auto-send for some reason)
[New Thread 5839]
[New Thread 5840]
[New Thread 5841]
[New Thread 5842]
[New Thread 5854]
Core was generated by `liferea'.
Program terminated with signal 6, Aborted.
#0  0x0000003c76a329a5 in raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);

Thread 5 (Thread 5854):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
No locals.
#1  0x0000003c78e02382 in g_cond_timed_wait_posix_impl (
    cond=<value optimized out>, entered_mutex=<value optimized out>, 
    abs_time=<value optimized out>) at gthread-posix.c:242
        result = <value optimized out>
        end_time = {tv_sec = 1280891939, tv_nsec = 46587000}
        timed_out = <value optimized out>
        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#2  0x0000003c782170b1 in g_async_queue_pop_intern_unlocked (queue=0xdb4360, 
    try=0, end_time=0x7fa74fffec00) at gasyncqueue.c:365
        retval = <value optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0000003c782171f7 in IA__g_async_queue_timed_pop (queue=0xdb4360, 
    end_time=0x7fa74fffec00) at gasyncqueue.c:491
        retval = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_async_queue_timed_pop"
#4  0x0000003c78266cba in g_thread_pool_wait_for_new_pool (
    data=<value optimized out>) at gthreadpool.c:171
        end_time = {tv_sec = 1280891939, tv_usec = 46587}
        pool = <value optimized out>
        local_max_idle_time = 15000
        local_wakeup_thread_serial = <value optimized out>
        local_max_unused_threads = 2
        last_wakeup_thread_serial = 0
        have_relayed_thread_marker = 0
#5  g_thread_pool_thread_proxy (data=<value optimized out>)
    at gthreadpool.c:374
        free_pool = <value optimized out>
        task = <value optimized out>
        pool = <value optimized out>
#6  0x0000003c78264e84 in g_thread_create_proxy (data=0x1a5e7c0)
    at gthread.c:1893
        thread = 0x1a5e7c0
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#7  0x0000003c77207761 in start_thread (arg=0x7fa74ffff710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fa74ffff710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140356578440976, 
    -947462166112342112, 140734636918848, 140356578441680, 0, 3, 
    979374391169150880, -963455383583559776}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
#8  0x0000003c76ae14ed in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 4 (Thread 5842):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1  0x0000003c97674ac8 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#2  0x0000003c97674c58 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#3  0x0000003c77207761 in start_thread (arg=0x7fa75fa56710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fa75fa56710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140356840941328, 
    -947462166112342112, 259696693664, 140356840942032, 0, 3, 
    979338738108755872, -963455383583559776}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
#4  0x0000003c76ae14ed in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 3 (Thread 5841):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1  0x0000003c9791ac14 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#2  0x0000003c9791ac49 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#3  0x0000003c77207761 in start_thread (arg=0x7fa760557710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fa760557710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140356852479760, 
    -947462166112342112, 259696693664, 140356852480464, 0, 3, 
    979304791224119200, -963455383583559776}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
#4  0x0000003c76ae14ed in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 5840):
#0  0x0000003c76ad7de3 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 2
        _a3 = -1
        _a1 = 140356914000560
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 140356914000560
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003c7823f849 in g_main_context_poll (context=0xdc8ba0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2904
        poll_func = 0x3c7824c930 <IA__g_poll>
#2  g_main_context_iterate (context=0xdc8ba0, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2586
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 2
        allocated_nfds = <value optimized out>
        fds = 0x7fa7640032b0
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0000003c7823fff5 in IA__g_main_loop_run (loop=0xdbf990) at gmain.c:2799
        self = 0xdc72c0
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x0000003c8421e5e3 in ?? () from /usr/lib64/libnm-glib.so.2
No symbol table info available.
#5  0x0000003c78264e84 in g_thread_create_proxy (data=0xdc72c0)
    at gthread.c:1893
        thread = 0xdc72c0
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003c77207761 in start_thread (arg=0x7fa76b4e5710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fa76b4e5710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140357036562192, 
    -947462166112342112, 140734636926992, 140357036562896, 0, 3, 
    979293992602595232, -963455383583559776}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
#7  0x0000003c76ae14ed in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 5839):
#0  0x0000003c76a329a5 in raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <value optimized out>
        selftid = 5839
#1  0x0000003c76a34185 in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7fff560a88e8, 
            sa_sigaction = 0x7fff560a88e8}, sa_mask = {__val = {
    140734636918992, 140734636931546, 7, 259689555713, 3, 140734636919002, 6, 
    259689555717, 2, 140734636918990, 2, 259689549028, 1, 259689555713, 3, 
    140734636918998}}, sa_flags = 10, sa_restorer = 0x3c76b42705}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x0000003c76a6fd5b in __libc_message (do_abort=2, fmt=
    0x3c76b438f8 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
        ap = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 
    0x7fff560a9250, reg_save_area = 0x7fff560a9160}}
        ap_copy = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 
    0x7fff560a9250, reg_save_area = 0x7fff560a9160}}
        fd = 2
        on_2 = <value optimized out>
        list = <value optimized out>
        nlist = <value optimized out>
        cp = <value optimized out>
        written = <value optimized out>
#3  0x0000003c76a75676 in malloc_printerr (action=3, str=
    0x3c76b41a45 "free(): invalid pointer", ptr=<value optimized out>)
    at malloc.c:6283
        buf = "0000000001ac2f70"
        cp = <value optimized out>
#4  0x0000003c7825c4b5 in IA__g_strfreev (str_array=0x1ac2e00)
    at gstrfuncs.c:2558
        i = <value optimized out>
#5  0x00007fa75c00f19b in NP_Initialize ()
   from /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/IcedTeaPlugin.so
No symbol table info available.
#6  0x0000003c97794255 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#7  0x0000003c9779445b in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#8  0x0000003c97555c04 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#9  0x0000003c9754df45 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#10 0x0000003c9754fbf3 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#11 0x0000003c9744979a in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#12 0x0000003c973d3403 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#13 0x0000003c973a6902 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#14 0x0000003c972de4af in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#15 0x0000003c973a6232 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#16 0x0000003c972b654f in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#17 0x0000003c972a6aca in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#18 0x0000003c972a9866 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#19 0x0000003c972e6d45 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#20 0x0000003c972e805a in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#21 0x0000003c80e458d1 in xmlParseStartTag2 (ctxt=0x1a7c800, 
    pref=<value optimized out>, URI=<value optimized out>, 
    tlen=<value optimized out>) at parser.c:9111
        localname = <value optimized out>
        prefix = 0x0
        attname = <value optimized out>
        aprefix = 0x0
        nsname = 0x1a1f854 "http://www.w3.org/1999/xhtml"
        attvalue = <value optimized out>
        atts = 0x1a62900
        maxatts = <value optimized out>
        nratts = <value optimized out>
        nbatts = 30
        nbdef = <value optimized out>
        i = <value optimized out>
        j = <value optimized out>
        nbNs = <value optimized out>
        attval = <value optimized out>
        oldline = <value optimized out>
        oldcol = <value optimized out>
        base = <value optimized out>
        cur = <value optimized out>
        nsNr = <value optimized out>
#22 0x0000003c80e4bcfe in xmlParseTryOrFinish (ctxt=0x1a7c800, terminate=0)
    at parser.c:10837
        name = <value optimized out>
        prefix = 0x0
        URI = 0x1a1f854 "http://www.w3.org/1999/xhtml"
        nsNr = 16
        ret = <value optimized out>
        avail = 1610
        tlen = 5
        cur = <value optimized out>
        next = <value optimized out>
        lastlt = 0x1b2c8ec "</html>"
        lastgt = 0x1b2c8f2 ">"
#23 0x0000003c80e4d008 in xmlParseChunk__internal_alias (ctxt=0x1a7c800, 
    chunk=0x7fa75fa9905a "P", size=16168, terminate=0) at parser.c:11611
        end_in_lf = <value optimized out>
        remain = <value optimized out>
#24 0x0000003c972e5a01 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#25 0x0000003c972e3c36 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#26 0x0000003c9744f8e0 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#27 0x0000003c977e4b50 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#28 0x0000003c974377d9 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#29 0x0000003c97471991 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#30 0x0000003c9746265c in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#31 0x0000003c97465235 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#32 0x0000003c974655c6 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#33 0x0000003c97465f15 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#34 0x0000003c97462c84 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#35 0x0000003c975052c6 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#36 0x0000003c977b8332 in ?? () from /usr/lib64/libwebkit-1.0.so.2
No symbol table info available.
#37 0x0000003c7823c4cb in g_timeout_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gmain.c:3396
        timeout_source = 0x1a81b60
#38 0x0000003c7823bd02 in g_main_dispatch (context=0xdb4070) at gmain.c:1960
        dispatch = 0x3c7823c4b0 <g_timeout_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0x3c977b8320
        cb_funcs = 0x3c784fad30
        cb_data = 0x1a5e720
        current_source_link = {data = 0x1a81b60, next = 0x0}
        need_destroy = <value optimized out>
        source = 0x1a81b60
        current = 0xd96880
        i = <value optimized out>
#39 IA__g_main_context_dispatch (context=0xdb4070) at gmain.c:2513
No locals.
#40 0x0000003c7823fae8 in g_main_context_iterate (context=0xdb4070, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2591
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 10
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#41 0x0000003c7823fff5 in IA__g_main_loop_run (loop=0x1357ab0) at gmain.c:2799
        self = 0xd93d90
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#42 0x0000003c823493c7 in IA__gtk_main () at gtkmain.c:1219
        tmp_list = <value optimized out>
        functions = 0x0
        init = <value optimized out>
        loop = 0x1357ab0
#43 0x00000000004316d2 in main ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x0000003c79e1dd80  0x0000003c79eab938  Yes (*)     /usr/lib64/libX11.so.6
0x0000003c86211b30  0x0000003c8622da28  Yes         /usr/lib64/libgconf-2.so.4.1.5
0x0000003c9560a9e0  0x0000003c9562eed8  Yes (*)     /usr/lib64/libxslt.so.1
0x0000003c77a01ef0  0x0000003c77a0d228  Yes         /lib64/libz.so.1.2.3
0x0000003c76e03ea0  0x0000003c76e43fa8  Yes         /lib64/libm-2.12.so
0x0000003c8d808b20  0x0000003c8d8758c8  Yes (*)     /usr/lib64/libsqlite3.so.0
0x0000003c93009390  0x0000003c930140e8  Yes         /usr/lib64/libglade-2.0.so.0.0.7
0x0000003c80e2c950  0x0000003c80f09048  Yes         /usr/lib64/libxml2.so.2.7.7
0x0000003c9715ccb0  0x0000003c97c4b7c8  Yes (*)     /usr/lib64/libwebkit-1.0.so.2
0x0000003c93414ae0  0x0000003c93441d28  Yes         /usr/lib64/libsoup-2.4.so.1.3.0
0x0000003c7e6019f0  0x0000003c7e6062a8  Yes         /usr/lib64/libSM.so.6.0.0
0x0000003c7e204d70  0x0000003c7e213778  Yes         /usr/lib64/libICE.so.6.3.0
0x0000003c842087d0  0x0000003c8421eb08  Yes (*)     /usr/lib64/libnm-glib.so.2
0x0000003c8f0033f0  0x0000003c8f006538  Yes         /usr/lib64/libnotify.so.1.2.3
0x0000003c822681c0  0x0000003c8250d268  Yes         /usr/lib64/libgtk-x11-2.0.so.0.2000.1
0x0000003c84e09060  0x0000003c84e19878  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
0x0000003c82a1d260  0x0000003c82a7f2a8  Yes         /usr/lib64/libgdk-x11-2.0.so.0.2000.1
0x0000003c836096b0  0x0000003c836150f8  Yes         /usr/lib64/libatk-1.0.so.0.3009.1
0x0000003c7ea19b60  0x0000003c7ea812c8  Yes         /lib64/libgio-2.0.so.0.2400.1
0x0000003c82e07650  0x0000003c82e21348  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.0
0x0000003c81a05940  0x0000003c81a17ba8  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2000.1
0x0000003c83204630  0x0000003c83208eb8  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.0
0x0000003c83a09c50  0x0000003c83a5b058  Yes         /usr/lib64/libcairo.so.2.10800.10
0x0000003c83e0ede0  0x0000003c83e2d768  Yes         /usr/lib64/libpango-1.0.so.0.2800.0
0x0000003c7ae0c850  0x0000003c7ae745a8  Yes         /usr/lib64/libfreetype.so.6.3.22
0x0000003c7b205c80  0x0000003c7b21ff28  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x0000003c7da01080  0x0000003c7da01fc8  Yes         /lib64/libgmodule-2.0.so.0.2400.1
0x0000003c7be07090  0x0000003c7be2e4c8  Yes         /lib64/libdbus-1.so.3.4.0
0x0000003c77205640  0x0000003c77210e48  Yes         /lib64/libpthread-2.12.so
0x0000003c79208d20  0x0000003c79232a78  Yes         /lib64/libgobject-2.0.so.0.2400.1
0x0000003c78e01590  0x0000003c78e029f8  Yes         /lib64/libgthread-2.0.so.0.2400.1
0x0000003c77e02140  0x0000003c77e055a8  Yes         /lib64/librt-2.12.so
0x0000003c782155c0  0x0000003c78299d58  Yes         /lib64/libglib-2.0.so.0.2400.1
0x0000003c76a1e9a0  0x0000003c76b2b820  Yes         /lib64/libc-2.12.so
0x0000003c79a08650  0x0000003c79a13898  Yes (*)     /usr/lib64/libxcb.so.1
0x0000003c77600de0  0x0000003c77601998  Yes         /lib64/libdl-2.12.so
0x0000003c85e27990  0x0000003c85e4b6a8  Yes         /usr/lib64/libORBit-2.so.0.1.0
0x0000003c95a02da0  0x0000003c95a08098  Yes (*)     /usr/lib64/libenchant.so.1
0x0000003c8d0029a0  0x0000003c8d006178  Yes         /usr/lib64/libgailutil.so.18.0.1
0x0000003c8d407e00  0x0000003c8d40f258  Yes (*)     /usr/lib64/libgeoclue.so.0
0x0000003c8e402eb0  0x0000003c8e408128  Yes         /usr/lib64/libgstapp-0.10.so.0.21.0
0x0000003c8dc04870  0x0000003c8dc08b28  Yes         /usr/lib64/libgstpbutils-0.10.so.0.21.0
0x0000003c8e002500  0x0000003c8e0057e8  Yes         /usr/lib64/libgstvideo-0.10.so.0.21.0
0x0000003c9080a020  0x0000003c9082e688  Yes (*)     /usr/lib64/libgstbase-0.10.so.0
0x0000003c8c628c10  0x0000003c8c6a2698  Yes (*)     /usr/lib64/libgstreamer-0.10.so.0
0x0000003c88e034a0  0x0000003c88e1d008  Yes (*)     /usr/lib64/libjpeg.so.62
0x0000003c7aa04830  0x0000003c7aa1e7a8  Yes (*)     /usr/lib64/libpng12.so.0
0x0000003c88660a00  0x0000003c88761688  Yes (*)     /usr/lib64/libicui18n.so.42
0x0000003c87c40160  0x0000003c87ce3d18  Yes (*)     /usr/lib64/libicuuc.so.42
0x0000003c91e00440  0x0000003c91e00548  Yes (*)     /usr/lib64/libicudata.so.42
0x0000003c8e8130d0  0x0000003c8e84f938  Yes (*)     /usr/lib64/libXt.so.6
0x0000003c7d6563f0  0x0000003c7d6c33f6  Yes         /usr/lib64/libstdc++.so.6.0.13
0x0000003c7d202910  0x0000003c7d212f48  Yes         /lib64/libgcc_s-4.4.4-20100630.so.1
0x0000003c8b615d90  0x0000003c8b67fb38  Yes (*)     /usr/lib64/libgnutls.so.26
0x0000003c85206d00  0x0000003c85250078  Yes (*)     /lib64/libgcrypt.so.11
0x0000003c7de014b0  0x0000003c7de02be8  Yes (*)     /lib64/libuuid.so.1
0x0000003c8460eb90  0x0000003c8462c428  Yes (*)     /usr/lib64/libnm-util.so.1
0x0000003c8b207c40  0x0000003c8b229948  Yes (*)     /usr/lib64/libssl3.so
0x0000003c8ae09880  0x0000003c8ae216a8  Yes (*)     /usr/lib64/libsmime3.so
0x0000003c8a2184d0  0x0000003c8a2fc6b8  Yes (*)     /usr/lib64/libnss3.so
0x0000003c8a6083a0  0x0000003c8a6135c8  Yes (*)     /usr/lib64/libnssutil3.so
0x0000003c8aa00e70  0x0000003c8aa01ce8  Yes (*)     /lib64/libplds4.so
0x0000003c89a013d0  0x0000003c89a02b18  Yes (*)     /lib64/libplc4.so
0x0000003c8960cfc0  0x0000003c8962c968  Yes (*)     /lib64/libnspr4.so
0x0000003c86602ce0  0x0000003c86604eb8  Yes (*)     /usr/lib64/libgudev-1.0.so.0
0x0000003c7c601370  0x0000003c7c604178  Yes (*)     /usr/lib64/libXfixes.so.3
0x0000003c7a603530  0x0000003c7a60e638  Yes (*)     /usr/lib64/libXext.so.6
0x0000003c7ba018c0  0x0000003c7ba07f58  Yes (*)     /usr/lib64/libXrender.so.1
0x0000003c7ce00a20  0x0000003c7ce01508  Yes (*)     /usr/lib64/libXinerama.so.1
0x0000003c7b601eb0  0x0000003c7b60c608  Yes (*)     /usr/lib64/libXi.so.6
0x0000003c7ca01720  0x0000003c7ca06828  Yes (*)     /usr/lib64/libXrandr.so.2
0x0000003c7c202880  0x0000003c7c207678  Yes (*)     /usr/lib64/libXcursor.so.1
0x0000003c81e00b40  0x0000003c81e01908  Yes (*)     /usr/lib64/libXcomposite.so.1
0x0000003c81200a90  0x0000003c81201638  Yes (*)     /usr/lib64/libXdamage.so.1
0x0000003c78a038c0  0x0000003c78a12528  Yes         /lib64/libresolv-2.12.so
0x0000003c78605550  0x0000003c78615038  Yes (*)     /lib64/libselinux.so.1
0x0000003c81607230  0x0000003c81651e78  Yes (*)     /usr/lib64/libpixman-1.so.0
0x0000003c7a203b70  0x0000003c7a21ca08  Yes (*)     /lib64/libexpat.so.1
0x0000003c76400af0  0x0000003c76418904  Yes         /lib64/ld-2.12.so
0x0000003c79600dd0  0x0000003c79601b68  Yes (*)     /usr/lib64/libXau.so.6
0x0000003c85601a50  0x0000003c8560d168  Yes (*)     /usr/lib64/libtasn1.so.3
0x0000003c882007f0  0x0000003c88200d58  Yes (*)     /lib64/libgpg-error.so.0
0x0000003c84a02770  0x0000003c84a0a2b8  Yes (*)     /lib64/libudev.so.0
0x00007fa76b4e8110  0x00007fa76b4f0258  Yes         /lib64/libnss_files-2.12.so
0x00007fa76a8bdbc0  0x00007fa76a8df818  Yes (*)     /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007fa76a6b8620  0x00007fa76a6b8e08  Yes (*)     /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00007fa76a4b2fb0  0x00007fa76a4b51e8  Yes (*)     /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x0000003c91a01c60  0x0000003c91a030a8  Yes (*)     /usr/lib64/libcanberra-gtk.so.0
0x0000003c91203280  0x0000003c9120c318  Yes (*)     /usr/lib64/libcanberra.so.0
0x0000003c8f401fa0  0x0000003c8f405fd8  Yes (*)     /usr/lib64/libvorbisfile.so.3
0x0000003c88a03700  0x0000003c88a1a718  Yes (*)     /usr/lib64/libvorbis.so.0
0x0000003c892018a0  0x0000003c89203bb8  Yes (*)     /usr/lib64/libogg.so.0
0x0000003c90e01e30  0x0000003c90e09ca8  Yes (*)     /usr/lib64/libtdb.so.1
0x0000003c8ec02370  0x0000003c8ec06758  Yes (*)     /usr/lib64/libltdl.so.7
0x00007fa76a2af5f0  0x00007fa76a2b0008  Yes (*)     /usr/lib64/liferea/liblinotiflibnotify.so
0x00007fa76a0886e0  0x00007fa76a0a44b8  Yes (*)     /usr/lib64/liferea/libliscrlua.so
0x00007fa769e58d80  0x00007fa769e73c28  Yes (*)     /usr/lib64/liblua-5.1.so
0x00007fa7681ffaa0  0x00007fa768218bb8  Yes (*)     /usr/lib64/gio/modules/libgvfsdbus.so
0x00007fa760d17190  0x00007fa760d21418  Yes (*)     /usr/lib64/libgvfscommon.so.0
0x00007fa760b0be10  0x00007fa760b0c688  Yes         /lib64/libutil-2.12.so
0x00007fa7609063e0  0x00007fa760907738  Yes         /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
0x00007fa75ee52ab0  0x00007fa75ee54b28  Yes (*)     /usr/lib64/enchant/libenchant_myspell.so
0x0000003c87009230  0x0000003c8702abd8  Yes (*)     /usr/lib64/libhunspell-1.2.so.0
0x00007fa75ec4e480  0x00007fa75ec4eec8  Yes         /usr/lib64/gconv/ISO8859-1.so
0x00007fa75db5a000  0x00007fa75db5d348  Yes         /lib64/libnss_dns-2.12.so
0x00007fa75e5b1820  0x00007fa75e5b96a8  Yes (*)     /usr/lib64/mozilla/plugins/libtotem-cone-plugin.so
0x00007fa75e3a37e0  0x00007fa75e3a5048  Yes         /usr/lib64/libtotem-plparser-mini.so.17.0.0
0x00007fa75e186440  0x00007fa75e197068  Yes (*)     /usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.skypebuttons.so
0x00007fa75df82460  0x00007fa75df82888  Yes         /usr/lib64/mozilla/plugins/librhythmbox-itms-detection-plugin.so
0x00007fa75c44c200  0x00007fa75c451f08  Yes (*)     /usr/lib64/mozilla/plugins/libtotem-mully-plugin.so
0x00007fa75c23b560  0x00007fa75c241958  Yes (*)     /usr/lib64/mozilla/plugins/skypebuttons.so
0x00007fa74f1f3f20  0x00007fa74f346ca8  Yes (*)     /usr/lib64/libQtCore.so.4
0x00007fa74e7077d0  0x00007fa74ed572c8  Yes (*)     /usr/lib64/libQtGui.so.4
0x00007fa75c00d090  0x00007fa75c028fe8  Yes (*)     /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/IcedTeaPlugin.so
0x0000003c7f2bdd70  0x0000003c7fc86028  Yes (*)     /usr/lib64/xulrunner-1.9.2/libxul.so
0x00007fa74e368880  0x00007fa74e368ad8  Yes (*)     /usr/lib64/xulrunner-1.9.2/libxpcom.so
0x0000003c8081bcf0  0x0000003c808f2108  Yes (*)     /usr/lib64/xulrunner-1.9.2/libmozjs.so
0x0000003c86a03120  0x0000003c86a06a98  Yes (*)     /usr/lib64/libstartup-notification-1.so.0
0x00007fa74e0a96c0  0x00007fa74e129b98  Yes (*)     /lib64/libasound.so.2
0x00007fa74de7a160  0x00007fa74de7ab28  Yes (*)     /usr/lib64/libxcb-aux.so.0
0x0000003c85a018e0  0x0000003c85a01c78  Yes (*)     /usr/lib64/libxcb-event.so.1
0x0000003c8c201690  0x0000003c8c201d38  Yes (*)     /usr/lib64/libxcb-atom.so.1
(*): Shared library is missing debugging information.
$1 = 
    0x1a19680 "*** glibc detected *** liferea: free(): invalid pointer: 0x0000000001ac2f70 ***\n"
$2 = 0x0
rax            0x0	0
rbx            0x0	0
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x16cf	5839
rdi            0x16cf	5839
rbp            0x7fff560a9240	0x7fff560a9240
rsp            0x7fff560a87f8	0x7fff560a87f8
r8             0x0	0
r9             0x678c00	6786048
r10            0x8	8
r11            0x206	518
r12            0x1f	31
r13            0x7fff560a8b20	140734636919584
r14            0x50	80
r15            0x7	7
rip            0x3c76a329a5	0x3c76a329a5 <raise+53>
eflags         0x206	[ PF IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function raise:
   0x0000003c76a32970 <+0>:	mov    %fs:0x2d4,%eax
   0x0000003c76a32978 <+8>:	mov    %fs:0x2d0,%esi
   0x0000003c76a32980 <+16>:	test   %esi,%esi
   0x0000003c76a32982 <+18>:	jne    0x3c76a329b0 <raise+64>
   0x0000003c76a32984 <+20>:	mov    $0xba,%eax
   0x0000003c76a32989 <+25>:	syscall 
   0x0000003c76a3298b <+27>:	mov    %eax,%esi
   0x0000003c76a3298d <+29>:	mov    %eax,%fs:0x2d0
   0x0000003c76a32995 <+37>:	movslq %edi,%rdx
   0x0000003c76a32998 <+40>:	movslq %esi,%rsi
   0x0000003c76a3299b <+43>:	movslq %eax,%rdi
   0x0000003c76a3299e <+46>:	mov    $0xea,%eax
   0x0000003c76a329a3 <+51>:	syscall 
=> 0x0000003c76a329a5 <+53>:	cmp    $0xfffffffffffff000,%rax
   0x0000003c76a329ab <+59>:	ja     0x3c76a329bf <raise+79>
   0x0000003c76a329ad <+61>:	repz retq 
   0x0000003c76a329af <+63>:	nop
   0x0000003c76a329b0 <+64>:	test   %eax,%eax
   0x0000003c76a329b2 <+66>:	jg     0x3c76a32995 <raise+37>
   0x0000003c76a329b4 <+68>:	test   $0x7fffffff,%eax
   0x0000003c76a329b9 <+73>:	jne    0x3c76a329cf <raise+95>
   0x0000003c76a329bb <+75>:	mov    %esi,%eax
   0x0000003c76a329bd <+77>:	jmp    0x3c76a32995 <raise+37>
   0x0000003c76a329bf <+79>:	mov    0x3465da(%rip),%rdx        # 0x3c76d78fa0
   0x0000003c76a329c6 <+86>:	neg    %eax
   0x0000003c76a329c8 <+88>:	mov    %eax,%fs:(%rdx)
   0x0000003c76a329cb <+91>:	or     $0xffffffffffffffff,%eax
   0x0000003c76a329ce <+94>:	retq   
   0x0000003c76a329cf <+95>:	neg    %eax
   0x0000003c76a329d1 <+97>:	jmp    0x3c76a32995 <raise+37>
End of assembler dump.
Debuginfo absent: 0143d204decc7a4bf043273b928e84da2e0d866e
Debuginfo absent: 05adffd38258a36fc944730399ba255d4c663650
Debuginfo absent: 05f239afcea4170cbd7f6aa9e976b17f84936884
Debuginfo absent: 07a3723d52f6b950a85909d1ae5dbee2d6bdb262
Debuginfo absent: 0bc73713993812cfe6efccb8aeedaa5ecaa5de48
Debuginfo absent: 100c9068c81879f71aaa2f08b61bcbfe3539e50e
Debuginfo absent: 1a839caa9c9e87fb70e3efa43665a5702d5ad787
Debuginfo absent: 1c6be722606d30595ce7bcd7c49e24df03c9bc24
Debuginfo absent: 1ee3ce7a222ab03595bacbba26067c3164aec9e5
Debuginfo absent: 27b60f093e95e962e6e7e65ca5f83dc2de1a799b
Debuginfo absent: 30d7f86c75c92772064e0e0d0d47730386a5512b
Debuginfo absent: 32818dfa95b537cec8ee87b71e92b07eec424578
Debuginfo absent: 337dac361bc8a7a67c7652b6775db66a5804f612
Debuginfo absent: 38c52ce52f828a2d743544926579f73cf13db7df
Debuginfo absent: 3af3c89e32933d50b9bb8c82a7eeabc49307beb6
Debuginfo absent: 3be016bb723e85779a23e111a8ab1a520b209422
Debuginfo absent: 3c1b51dabb12b2938324aa7b1de93ba1eb8c2ecb
Debuginfo absent: 3cc571be2764ff64be2a285533b9944e38fecd0b
Debuginfo absent: 40eea834d3dc566d35fbb07f7976d0caa2023e80
Debuginfo absent: 495a9a5d122f3b61778b94b6cef903932d86fbb7
Debuginfo absent: 4cb90c83384d49d8a383251b3f10c9693c99d361
Debuginfo absent: 5e8ea50e2491a831a72f4a33ed41e41f574d63c1
Debuginfo absent: 5f989d4a2f88f4dd76b80ab4923b151d767d4d71
Debuginfo absent: 5ff815a77ee3b3887837c50c1905ebd326632032
Debuginfo absent: 607308f916c13c3ad9ee503008d31fa671ba73ce
Debuginfo absent: 65233e240c545990501b2f6e106fa164ab483cf8
Debuginfo absent: 6ab2d4b409e198d0340f72caeb141f1192b3e1aa
Debuginfo absent: 6b4706bb22c5ce908f02b4d668b2b2d00c773e7c
Debuginfo absent: 721242ecc3448d07f4eef06b52cd065d2dfebe96
Debuginfo absent: 789f5ec8aa7bd3ec6a4204161f0515ebac928e58
Debuginfo absent: 84d794d3e8bf2d26a01b0dbf75f68d8b00523d1a
Debuginfo absent: 87f9c7d9844f364c73aa2566d6cfc9c5fa36d35d
Debuginfo absent: 8cea5a13fe87502d35bb07d244695e1458b757f0
Debuginfo absent: 8d448f07725ecbefd2e6d1cf43a896a6edb65d67
Debuginfo absent: 8ef56f789fd914e8d0678eb0cdfda1bfebb00b40
Debuginfo absent: 8f41e7a961271cc238b092ddea69bece496d7c78
Debuginfo absent: 97adc0a23a0807a970a3ed08032cc36269bb3810
Debuginfo absent: 983a8bf14c249d18b3c6f32635c0f1fcadc1d440
Debuginfo absent: 98a1f704252c5ceec2c36221f441b3f620737138
Debuginfo absent: 9e57fcac5a1b2c2c79d7583a70ccb8a34c0c53f4
Debuginfo absent: 9eb3646a4d95b88c0d8b57aa8b2a0ca01569cc6d
Debuginfo absent: 9f6874800d5ab70fd5685afe3e77d3da69c0477b
Debuginfo absent: 9fd15fef5d9c6c15c5f49065f2d4e4dc6b660193
Debuginfo absent: ae85cf5093c29dbf0a71d0e32dc635902f26b3c4
Debuginfo absent: af1eece40ed459dcac65acea4ff2f7954f1ae44f
Debuginfo absent: b496d00b13450ea1f716ee649f70e2051952fc18
Debuginfo absent: b58869d7c39c8a438d6966db6229fd02daa469f0
Debuginfo absent: b5bc98c125a11b571cf4f2746268a6d3cfa95b68
Debuginfo absent: b8b403f3a3fa0fdf171c9939333ff994d56f8b6f
Debuginfo absent: b8f592eff7118389b231c73d24dc80a13e777c67
Debuginfo absent: bd0546b7b9be5a3931ea7648315e275694d4b421
Debuginfo absent: c4d35d993598a6242f7525d024b5ec3becf5b447
Debuginfo absent: c6746afe6dfd5d2a6a18aa4ba073f2ff99adfe11
Debuginfo absent: c82151ee0a2e94f60ebba2e622d37b976d4e7d47
Debuginfo absent: cc0e21b01e97d9aecabf2d9b05396e2084548c89
Debuginfo absent: ce46050d5af2be7b6ae9b5d378ca1d300533538c
Debuginfo absent: d551766ca570ecca2dae634980d3dbdb802fad63
Debuginfo absent: d7b0d204688f126578d00fc42dc97e7c54bd9f79
Debuginfo absent: dad2317704702ed6b064005e5ef3422551ce7f49
Debuginfo absent: e133dc5a57e3e3342052c450fd5e0d373a2bd8ef
Debuginfo absent: e235216dc9ee0cac3a9e01988c130f5c7d5029d9
Debuginfo absent: ea3f23d6e7f24746169ba50840e9aff0e30d09ea
Debuginfo absent: ed20d8b0531fc3b3b4f19a87a1e3db4929234fba
Debuginfo absent: ed959e2c854c97acc7ac322f42fede8c58c50a77
Debuginfo absent: eed75cca3e18f61d9748e0bc894cfbf9b20ad76e
Debuginfo absent: f1ff6c8ee30dba27e90ef0c5b013df2833da2889
Debuginfo absent: f3ebe4b8d7c395f4bbe89735b7dc5012ed7f6c4a
Debuginfo absent: f6670f543f95c7623cc648157c2219f43990f08c
Debuginfo absent: f6b60f9dcb8292dc46f0161556bdba20c4656793
Debuginfo absent: f7c02309974498381ab94ad46a907caf29e9cf5e
Debuginfo absent: f9e03fce121315fe11c1b75c780be6dd9a31c195
Debuginfo absent: faffc66d1ee4ddbacf95bd07a28f412d19d8f02f

-------------

OK, here's what happens when I do it on the commandline:


** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3160):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-41.b18.fc13-x86_64)
OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)

(liferea:6389): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

(liferea:6389): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

(liferea:6389): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

(liferea:6389): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed
Comment 1 Eric Mesa 2010-08-03 23:35:43 EDT
just to make sure it's 100% clear for the commandline part:  (I forgot to show invoking the command)


$ liferea
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
** (liferea:6389): DEBUG: NP_Initialize
** (liferea:6389): DEBUG: NP_Initialize succeeded
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3160):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-41.b18.fc13-x86_64)
OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)

(liferea:6389): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

(liferea:6389): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

(liferea:6389): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

(liferea:6389): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed
Comment 2 Cesar Miramontes 2011-01-16 21:19:21 EST
I'm having this same problem with Liferea 1.5 in Fedora 13 x86_64. For a week now Liferea crashes everytime I try to see any entry from the Slahsdot RSS feed (http://slashdot.org/slashdot.rss), after around 3 seconds the crash occurs. The following is shown when launched from the command line:

(liferea:6499): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

(liferea:6499): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

(liferea:6499): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion `host != NULL' failed

Liferea did receive signal 11 (Segmentation fault).
Comment 3 Cesar Miramontes 2011-01-16 21:25:59 EST
(In reply to comment #2)
> I'm having this same problem with Liferea 1.5 in Fedora 13 x86_64. For a week
> now Liferea crashes everytime I try to see any entry from the Slahsdot RSS feed
> (http://slashdot.org/slashdot.rss), after around 3 seconds the crash occurs.
> The following is shown when launched from the command line:
> 
> (liferea:6499): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion
> `host != NULL' failed
> 
> (liferea:6499): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion
> `host != NULL' failed
> 
> (liferea:6499): libsoup-CRITICAL **: soup_cookie_domain_matches: assertion
> `host != NULL' failed
> 
> Liferea did receive signal 11 (Segmentation fault).

Correction, Liferea 1.6.5.
Comment 4 John Levon 2011-02-03 07:13:39 EST
Latest FC13. webkit is crashing. I do not have plugins or javascript enabled.
Happens with every feed item containing flash.


(gdb) bt
#0  JSC::Interpreter::privateExecute (this=0x7fffe785fa00, flag=<value optimized out>, registerFile=0x7fffe785fa18, callFrame=0x7fffe65d8de0, exception=0x7fffffffcc70)
    at JavaScriptCore/interpreter/Interpreter.cpp:3478
#1  0x000000334125e7a2 in JSC::Interpreter::execute (this=0x7fffe785fa00, program=0x7fffe78d9b40, callFrame=0x7fffe4d9ebc8, scopeChain=0x7fffe7881c30, thisObj=0x7fffe6582b40, 
    exception=0x7fffffffcc70) at JavaScriptCore/interpreter/Interpreter.cpp:623
#2  0x00000033412e29c7 in JSC::evaluate (exec=0x7fffe4d9ebc8, scopeChain=..., source=<value optimized out>, thisValue=...) at JavaScriptCore/runtime/Completion.cpp:62
#3  0x0000003340bd6c34 in WebCore::ScriptController::evaluateInWorld (this=0x7fffe7858bb0, sourceCode=..., world=<value optimized out>)
    at WebCore/bindings/js/ScriptController.cpp:127
#4  0x0000003340bd6e92 in WebCore::ScriptController::evaluate (this=0x7fffe7858bb0, sourceCode=...) at WebCore/bindings/js/ScriptController.cpp:153
#5  0x0000003340beee4a in WebCore::ScriptController::executeScript (this=0x7fffe7858bb0, sourceCode=...) at WebCore/bindings/ScriptControllerBase.cpp:60
#6  0x0000003340de439d in WebCore::HTMLTokenizer::scriptExecution (this=0x7fffe4dff400, sourceCode=..., state=<value optimized out>) at WebCore/html/HTMLTokenizer.cpp:580
#7  0x0000003340de4b96 in WebCore::HTMLTokenizer::executeExternalScriptsIfReady (this=0x7fffe4dff400) at WebCore/html/HTMLTokenizer.cpp:2073
#8  0x0000003340e2e64c in WebCore::CachedScript::checkNotify (this=0x7fffe4e00c00) at WebCore/loader/CachedScript.cpp:106
#9  0x0000003340e85f83 in WebCore::Loader::Host::didFinishLoading (this=0x7fffe77ec000, loader=0x7fffe78df300) at WebCore/loader/loader.cpp:398
#10 0x0000003340e7851a in WebCore::SubresourceLoader::didFinishLoading (this=0x7fffe78df300) at WebCore/loader/SubresourceLoader.cpp:184
#11 0x00000033411d386b in WebCore::finishedCallback (session=<value optimized out>, msg=0x13d2c60, data=<value optimized out>)
    at WebCore/platform/network/soup/ResourceHandleSoup.cpp:329
#12 0x0000003abd03903d in final_finished (req=0x13d2c60, user_data=0x13d1800) at soup-session-async.c:387
#13 0x00000037e380b98e in IA__g_closure_invoke (closure=0x15077f0, return_value=0x0, n_param_values=1, param_values=0x152c300, invocation_hint=0x7fffffffd540) at gclosure.c:767
#14 0x00000037e381fd42 in signal_emit_unlocked_R (node=<value optimized out>, detail=0, instance=0x13d2c60, emission_return=0x0, instance_and_params=0x152c300) at gsignal.c:3318
#15 0x00000037e3820de6 in IA__g_signal_emit_valist (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>, var_args=0x7fffffffd730)
    at gsignal.c:2981
#16 0x00000037e38213a3 in IA__g_signal_emit (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:3038
#17 0x0000003abd02edbf in soup_message_io_finished (msg=0x13d2c60) at soup-message-io.c:177
#18 0x00000037e380b98e in IA__g_closure_invoke (closure=0x151eb60, return_value=0x0, n_param_values=1, param_values=0x1603300, invocation_hint=0x7fffffffd950) at gclosure.c:767
#19 0x00000037e381f947 in signal_emit_unlocked_R (node=<value optimized out>, detail=0, instance=0x14a4800, emission_return=0x0, instance_and_params=0x1603300) at gsignal.c:3248
#20 0x00000037e3820de6 in IA__g_signal_emit_valist (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>, var_args=0x7fffffffdb40)
    at gsignal.c:2981
#21 0x00000037e38213a3 in IA__g_signal_emit (instance=<value optimized out>, signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:3038
#22 0x0000003abd03b1c1 in socket_read_watch (chan=<value optimized out>, cond=<value optimized out>, user_data=0x14a4800) at soup-socket.c:1245
#23 0x00000037e283bd02 in g_main_dispatch (context=0x6a20a0) at gmain.c:1960
#24 IA__g_main_context_dispatch (context=0x6a20a0) at gmain.c:2513
#25 0x00000037e283fae8 in g_main_context_iterate (context=0x6a20a0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
#26 0x00000037e283fff5 in IA__g_main_loop_run (loop=0x1354420) at gmain.c:2799
#27 0x00000037ea9493c7 in IA__gtk_main () at gtkmain.c:1219
#28 0x00000000004316e2 in main (argc=1, argv=0x7fffffffe2a8) at main.c:345
Comment 5 Bug Zapper 2011-06-01 08:09:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-28 10:59:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.